Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008456opensim[REGION] OpenSim Corepublic2019-01-18 03:422019-01-27 07:28
Reporteraiaustin 
Assigned To 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusnewResolutionopen 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0008456: Terrain and water missing on all visible regions on teleporting between grids
DescriptionTerrain and water missing on all visible regions after teleporting between two grids (Openvue to AiLand) and returning to home grid (Openvue).

This report and testing is using only two grids both running 2019-01-18 opensim-0.9.0.1-724-g04f44bc.zip. Openvue and AiLand grids.

Once I see the missing terrain tiles and water if I try to teleport to the second grid I get the same problem there... and even if I wait a minute and teleport back to my home grid the tiles are still not present. I seem only to be able to get the terrain and water back by relogging.

BUT if I go to an OSGrid region using most recent 2019-01-11 OSGrid software the terrain and water shows there.

If I stay on the OSGrid region for a while (a minute say) then the terrain and water for all regions is then visible on return to home grid. Until I again teleport between grids on latest dev master in which case the terrain and water are not present again.

I started to see terrain missing on teleport back to a home grid a few days ago on recent dev masters.

The terrain was fine before teleporting via HG to another grid. I was not returning quickly and in tests the issue is present even if I wait a minute before moving between grids.
Additional InformationViewer image attached: 2019-01-18-Surface-Patch-Missing.jpg
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm 6.0.1. Beta
Attached Filesjpg file icon 2019-01-18-Surface-Patch-Missing.jpg [^] (394,860 bytes) 2019-01-18 03:56
jpg file icon 2019-01-18-Surface-Patch-Missing-After-Within-Grid-TP.jpg [^] (233,521 bytes) 2019-01-18 03:56


jpg file icon 2019-01-20-One-Region-Terrain-amd-Water-Missing.jpg [^] (261,955 bytes) 2019-01-20 06:11

- Relationships

-  Notes
(0033827)
aiaustin (developer)
2019-01-18 03:58
edited on: 2019-01-18 04:17

While the terrain/water is missing on all regions within viewer draw distance, if I teleport WITHIN a grid to an adjacent (was visible) region, the terrain and water is still missing for the destination region and others that had problems already. BUT... the NEWLY visible regions render correctly.

Image: 2019-01-18-Surface-Patch-Missing-After-Within-Grid-TP.jpg

(0033828)
aiaustin (developer)
2019-01-18 05:11

I tried something else. After logging and and the terrain/water was all fine again... then I did a HG TP from Openvue grid to AiLand grid. I monitored the "show users full" via the console on Openvue and saw that the root agent was removed immediately on TP but that the child agents persisted for some time. Maybe 15 to 20 seconds (?) not as long as a minute anyway.

I tried making sure I waited until the child agents were removed before teleporting back to the home grid, but the terrain/water still disappeared.
(0033829)
paela argus (reporter)
2019-01-18 05:37

maybe a problem with the new version of Firestorm ?
(0033831)
aiaustin (developer)
2019-01-18 07:22
edited on: 2019-01-18 07:41

No, I just tested with Firestorm 5.1.7.55786 (Windows 64bit SL+OS) and the same problem is there. It occurs every time.

(0033832)
UbitUmarov (administrator)
2019-01-18 07:31

you manage to see odd things :)
child agent does stay active for about 17 seconds after the handshake to target regions.
HG should be working as before, it is exclude for now from the changes im testing on 0.7 protocol.

for some reason some of those tps are been understud as just crossings, so no terrain is sent :(
(0033834)
aiaustin (developer)
2019-01-18 07:41
edited on: 2019-01-18 07:46

I try me best :-)

Obviously I am going between two grids which would use the new protocol on regions on the grid (0.7 to 0.7) but between grids (even though BOTH are internally on protocol 0.7) that should be unchanged as I understood your revisions.

720 still failed. I had that available for easy roll back.

I just reverted to 715 (2019-01-14 00:35, before TP changes Ubit) for both grid and that works fine even for very rapid within 1 second TPs back and forth.

(0033835)
UbitUmarov (administrator)
2019-01-18 07:47

and you are suicidal with those 1s tps :)
FS beta does crash more is aniwhat things are even on source grid child regions
trying to understand this is just a bug, or something to stay
(0033836)
tampa (reporter)
2019-01-18 07:51

This missing terrain thing has been like this for years now. I do remember that going back to a var region from HG it usually does not load terrain properly and I have to relog. Granted it appears random, but I do remember that it was pretty much a case of "can't fix within reasonable measures".

@Ubit: Is this classified as bug or just random hiccup?
(0033837)
UbitUmarov (administrator)
2019-01-18 07:52

its a bug sure
(0033838)
aiaustin (developer)
2019-01-18 07:58
edited on: 2019-01-20 01:39

Just to clarify, for the issue reported, in tests I waited 1 minute before TPing to and fro... but bug was there every time until I reverted to 715. All regions on both grids are also standard 256mx256m.

(0033884)
aiaustin (developer)
2019-01-20 06:08
edited on: 2019-01-20 07:15

I tested opensim-0.9.0.1-731-g3bfa278.zip (2019-01-20 02:02) and the issue remains, but this time only the regions I landed back on (one region) had the terrain missing. The terrain and water on adjacent visible regions were rendered. So the fixes up to 731 fixed part of the problem.

See attached image: 2019-01-20-One-Region-Terrain-amd-Water-Missing.jpg

The single missing terrain tile and surrounding water also stays unrendered even when I teleport to the next door region on a grid where the arrival region terrain was missing.

In all cases I was waiting a decent time (30 seconds or more) before trying teleports.. so I am not deliberately doing rapid TPs for this test.

As before, reverting to 715 fixes the issue and even allows very rapid to and fro TPs.

(0033885)
UbitUmarov (administrator)
2019-01-20 09:30

is that HG or on same grid?
(0033886)
aiaustin (developer)
2019-01-20 09:37
edited on: 2019-01-22 03:42

When using 731, the issue shows when I go between the two grids (Openvue to AiLand) and then returned home. Both grids on that new version 731.

But I also then hopped across to from the home faulty region to an adjacent region on one grid (Openvue) to see if the terrain reappeared and it stayed faulty when looking across to that home region.

I have not tried TPing between regions before the fault shows on one grid for this test.

Note the two grid are reverted to 715 now so they are working.

(0033910)
aiaustin (developer)
2019-01-22 03:42

Watching the latest commits, I assume I should hold off on testing this issue post 715 @Ubit? I don't yet see any fixes post 731 that might resolve the issue having tested 731 (2019-01-20 02:02)?

I also see that OSGrid have updated to 741 (2019-01-21 08:34) which might mean that more people start to see this issue if moving between grids that are using very recent dev master code.

Let me know though if you feel an update and test is worth trying.
(0033911)
aiaustin (developer)
2019-01-22 04:14
edited on: 2019-01-22 04:26

As a test I upgraded to latest OSGrid master addon region release (741 2019-01-21 08:34) and updated Openvue and Ailand grids to latest dev master 747 (2019-01-22 11:32). Then started to do some HG TPs with avatars between one of my OSGrid regions, an Openvue region and an Ailand grid region. In between each TP I did a "show users full" on the consoles.

I observe the following with this setup...

a) On the target region on any grid, if I wait until the show users full shows no remaining entries (after roughly 15 seconds at present I think) I can TP between grids and the terrain shows.

b) If I TP any earlier the terrain and water for the ONE destination region on arrival is missing.

c) Once the terrain for the region I landed on is missing on the target grid it stays missing even when I teleport to regions on the same grid one or two away (view distance set to 512m) from the one I arrived on, and that missing water/terrain is not replaced until I teleport away to another grid wait until show users full on the broken region is empty and then TP back.

d) While the region has faulty terrain and water if I TP on that grid MORE than 2 regions away (i.e. over the view distance set of 512m) the region that was faulty DOES have its terrain/water refreshed.

(0033912)
UbitUmarov (administrator)
2019-01-22 04:22

if a region has you as child agent, it will not send terrain.
teleporting back in less than some 20s will cause that.
that region will only show you terrain if you get out of view range and connection is closed


hg should be working as before, but it is possible i made this a bit worse ( but it is a old issue)
(0033913)
aiaustin (developer)
2019-01-22 04:29
edited on: 2019-01-22 04:30

Okay, that fits with the symptoms I see now. It is quite a bit worse post 715 I would say for the HG case @Ubit... I know that really rapid TPs back and forth did sometimes glitch, but not this much... but I can say that the 715 version is rock solid and allows HG TPs almost immediately without glitching. Maybe some aspect of what is going on there could be retro engineered into the latest version you are using?

(0033914)
BillBlight (developer)
2019-01-22 04:34

super fast TP's are suicidal IMHO, but just my .02 .. If you can't wait 15 seconds to tp that sounds like you need to switch to decaff ...

:P
(0033947)
tampa (reporter)
2019-01-25 01:47
edited on: 2019-01-25 11:11

Granted I agree teleports have no need to be instant, but then handling of them needs to be changed to properly delay new teleport requests until the previous one completes or something of that nature. You know just as well that one cannot expect every user to have a deep understanding of OpenSim when using it and idiot-proofing a piece of software is certainly something on the todolist, if there is ever a plan to exit the permanent alpha state OpenSim has been in.

(0033948)
aiaustin (developer)
2019-01-25 05:00
edited on: 2019-01-25 07:29

Folks... always take comments as indicating an issue whether from experienced or totally new users. And I am sure everyone here does that (mostly) :-)

In this case I am reporting a clear and obvious change in behaviour since release 715. And one which is very disruptive to the user experience... the terrain and water for the region being a light grey square and remaining broken unless you move away by the view distance or relog. It may (must?) be that something changed for the HG case to affect this in some way. It was all rock solid at version 715. And still is when I revert to that version. I see the same issue on my OSGrid addon regions too now too as the OSGrid release has recently updated past 715. As @Ubit said it may be some of the TP behaviour changes that were made after 715 and reversed by code changes (not reverted) led to a change in the HG case behaviour. It would be good if it could be identified.

Waiting around 20 seconds before returning to a previous grid and guessing if that is enough from the user view point is a long time to wait if you end up at a location you want to return from. In my case I can identify the timing before a successful return can be done in my tetsting as I can see the server side consoles.

(0033950)
tampa (reporter)
2019-01-25 08:33
edited on: 2019-01-25 11:10

@aiaustin I have updated a 2x2 var to latest master just now and did some HG travels to a and from a grid also running very new master code. I cannot quite reproduce the issue in a reliable manner. More often I just get hung and failed teleports trying to go back very quickly. Maybe that hints towards a bigger issue in regards to what actually constitutes "arrived" in terms of teleports, then again that is actually intended behavior as far as I know. I would say that I can confirm the described behavior can actually be reproduced albeit not fully reliably and at least I tend to experience more teleport failures than missing terrain, so more of an edge-case. Definitely would say that maybe looking at the terrain sending code again seeing if it may be possible to resend it "just in case" could be accomplished reasonably or if the viewer would go haywire over that(which I suspect it likely will).

Thing that intrigues me, on a side note, I have had someone ask for a patch to remove sending of terrain tiles and only send what's needed for collision. I assume while the terrain is missing the collision with it still exists. The idea was that the terrain texturing actually has a great impact on viewer performance and a mesh terrain(including physics and tunnels and such) would perform better on the viewer since the complexity can be varied. I don't want to derail from the problem at hand, but I must note the almost 100% increase in framerate in your pictures with the terrain missing :)

(0033958)
paela argus (reporter)
2019-01-25 14:05

water simulators like eat gpu a lots tampa =)
(0033961)
aiaustin (developer)
2019-01-27 07:28
edited on: 2019-01-27 11:44

Going on something that @tampa said, I checked the region when it is incorrectly displaying a light grey square area rather than the terrain and water, and it seems that the correct contours of the land shape and water are there for collision purposes. The avatar appears to correctly collide with the ground level even though it does not show, and where there is sea the avatar walks down the slope as it should be through the light grey square.

The frame rate in the snapshots is probably just a coincidence. I can see framerates of 100+ when a fair amount of content is in view and way over that when looking in a direction that has little content. That's about what I normally see on my rig. And it seems similar with the terrain missing or not.

Reminder, within one grid (new 0.7 protocol I assume) TPs work fine. It is just the HG jumps out and returns to original region/grid within 15-20 seconds that cause this issue. If the HG case behaviour can be returned to its 715 or before state this might all work well.


- Issue History
Date Modified Username Field Change
2019-01-18 03:42 aiaustin New Issue
2019-01-18 03:42 aiaustin File Added: 2018-01-18-Surface-Patch-Missing.jpg
2019-01-18 03:49 aiaustin Description Updated View Revisions
2019-01-18 03:55 aiaustin File Deleted: 2018-01-18-Surface-Patch-Missing.jpg
2019-01-18 03:56 aiaustin File Added: 2019-01-18-Surface-Patch-Missing.jpg
2019-01-18 03:56 aiaustin File Added: 2019-01-18-Surface-Patch-Missing-After-Within-Grid-TP.jpg
2019-01-18 03:56 aiaustin Additional Information Updated View Revisions
2019-01-18 03:58 aiaustin Note Added: 0033827
2019-01-18 03:58 aiaustin Note Edited: 0033827 View Revisions
2019-01-18 04:17 aiaustin Note Edited: 0033827 View Revisions
2019-01-18 05:11 aiaustin Note Added: 0033828
2019-01-18 05:37 paela argus Note Added: 0033829
2019-01-18 07:22 aiaustin Note Added: 0033831
2019-01-18 07:31 UbitUmarov Note Added: 0033832
2019-01-18 07:41 aiaustin Note Edited: 0033831 View Revisions
2019-01-18 07:41 aiaustin Note Added: 0033834
2019-01-18 07:43 aiaustin Note Edited: 0033834 View Revisions
2019-01-18 07:45 aiaustin Note Edited: 0033834 View Revisions
2019-01-18 07:45 aiaustin Note Edited: 0033834 View Revisions
2019-01-18 07:46 aiaustin Note Edited: 0033834 View Revisions
2019-01-18 07:47 UbitUmarov Note Added: 0033835
2019-01-18 07:51 tampa Note Added: 0033836
2019-01-18 07:52 UbitUmarov Note Added: 0033837
2019-01-18 07:58 aiaustin Note Added: 0033838
2019-01-18 08:04 aiaustin Note Edited: 0033838 View Revisions
2019-01-20 01:39 aiaustin Note Edited: 0033838 View Revisions
2019-01-20 06:08 aiaustin Note Added: 0033884
2019-01-20 06:11 aiaustin Note Edited: 0033884 View Revisions
2019-01-20 06:11 aiaustin File Added: 2019-01-20-One-Region-Terrain-amd-Water-Missing.jpg
2019-01-20 06:14 aiaustin Note Edited: 0033884 View Revisions
2019-01-20 07:15 aiaustin Note Edited: 0033884 View Revisions
2019-01-20 07:15 aiaustin Note Edited: 0033884 View Revisions
2019-01-20 09:30 UbitUmarov Note Added: 0033885
2019-01-20 09:37 aiaustin Note Added: 0033886
2019-01-20 09:38 aiaustin Note Edited: 0033886 View Revisions
2019-01-22 03:42 aiaustin Note Added: 0033910
2019-01-22 03:42 aiaustin Note Edited: 0033886 View Revisions
2019-01-22 04:14 aiaustin Note Added: 0033911
2019-01-22 04:14 aiaustin Note Edited: 0033911 View Revisions
2019-01-22 04:20 aiaustin Note Edited: 0033911 View Revisions
2019-01-22 04:22 UbitUmarov Note Added: 0033912
2019-01-22 04:26 aiaustin Note Edited: 0033911 View Revisions
2019-01-22 04:29 aiaustin Note Added: 0033913
2019-01-22 04:29 aiaustin Note Edited: 0033913 View Revisions
2019-01-22 04:30 aiaustin Note Edited: 0033913 View Revisions
2019-01-22 04:34 BillBlight Note Added: 0033914
2019-01-25 01:47 tampa Note Added: 0033947
2019-01-25 05:00 aiaustin Note Added: 0033948
2019-01-25 07:25 BillBlight Note Added: 0033949
2019-01-25 07:29 aiaustin Note Edited: 0033948 View Revisions
2019-01-25 08:33 tampa Note Added: 0033950
2019-01-25 11:07 UbitUmarov Note Deleted: 0033949
2019-01-25 11:10 UbitUmarov Note Edited: 0033950 View Revisions
2019-01-25 11:11 UbitUmarov Note Edited: 0033947 View Revisions
2019-01-25 14:05 paela argus Note Added: 0033958
2019-01-27 07:28 aiaustin Note Added: 0033961
2019-01-27 07:33 aiaustin Note Edited: 0033961 View Revisions
2019-01-27 07:34 aiaustin Note Edited: 0033961 View Revisions
2019-01-27 09:50 aiaustin Note Edited: 0033961 View Revisions
2019-01-27 11:43 aiaustin Note Edited: 0033961 View Revisions
2019-01-27 11:44 aiaustin Note Edited: 0033961 View Revisions


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker